##
##  yarn.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_yarn_opkg 1.22.22
%define       V_yarn_base 1.22.22
%define       V_yarn_snap 20240526

#   package information
Name:         yarn
Summary:      NPM-Compatible Package Manager
URL:          http://yarnpkg.com/
Vendor:       Facebook
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Archiver
License:      MIT
Version:      %{V_yarn_opkg}.%{V_yarn_snap}
Release:      20240526

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/yarn/yarn-%{V_yarn_base}-%{V_yarn_snap}.tar.gz
Source1:      yarn.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node

%description
    Yarn is (the client side of) a package manager for JavaScript. It
    caches every package it downloads, so it never needs to again. It
    also parallelizes operations to maximize resource utilization so
    install times are faster than ever. Yarn is compatible with (the
    server/registry side of) NPM and Bower.

%track
    prog yarn = {
        version   = %{V_yarn_base}
        url       = https://github.com/yarnpkg/yarn/releases
        regex     = v(\d+\.\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q -c

%build
    #   %{l_prefix}/bin/node-openpkg squeeze -I "**/*license*.js"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/yarn
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE yarn.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/yarn
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/yarn/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

